﻿@import "color.css";

.overlay {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background-color: rgba(0, 0, 0, 0.8); /* semi-transparent black overlay */
	z-index: 9999; /* Ensure the overlay stays on top of everything */
	display: flex;
	justify-content: center;
	align-items: center;
}

.clear-overlay {
	/*	background-color: rgb(255, 0, 0);*/
	background-color: rgb(0, 0, 0,0);
	z-index: 100;
}

.center {
	position: absolute;
	margin: auto;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	width: 100px;
	height: 100px;
}

.text-white {
	color: var(--White);
}

.LimeGreen {
	background-color: var(--LimeGreen) !important;
}

	.LimeGreen:hover {
		background-color: var(--Gray) !important;
	}

.CBlack {
	background-color: var(--CBlack) !important;
}

	.CBlack:hover {
		background-color: var(--Gray) !important;
	}

.black {
	background-color: var(--CBlack) !important;
}

.Black {
	background-color: var(--CBlack) !important;
}

.text-black {
	color: var(--CBlack);
}

.font-size-large {
	font-size: large;
}

.font-size-larger {
	font-size: larger;
}

.White {
	background-color: var(--White) !important;
}

.text-white {
	color: var(--White) !important;
}

.dropdown-item:hover {
	color: var(--CBlack) !important;
}

.text-align-center {
	text-align: center;
}

.border-yellow {
	border: 1px solid var(--Yellow) !important;
}

.border-white {
	border: 1px solid var(--White) !important;
}

.border-white-1px-dashed {
	border: 1px dashed var(--White) !important
}

.border-bottom-yellow {
	border-bottom: 1px solid var(--Yellow) !important;
}

.Yellow {
	background-color: var(--Yellow) !important;
}

.popups {
	height: fit-content;
	border: 1px solid #4c4a48;
	padding: 30px;
	background: #1d2022;
}

	.popups .btn {
		padding: 10px 20px;
	}

.message {
	margin-top: 10px;
	color: white;
	font-size: 18px;
	font-weight: 500;
	align-self: center;
}
